> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/set-udelement.md).

# Set-UDElement

Set-UDElement aktualisiert die Eigenschaften oder den gerenderten Inhalt eines vorhandenen UI-Elements auf einer PowerShell Universal-Dashboard-Seite.

### Übersicht

Eigenschaften eines Elements festlegen.

### Syntax

```powershell
Set-UDElement [-Id] <String> [[-Properties] <Hashtable>] [-Broadcast] [[-Content] <ScriptBlock>] [<CommonParameters>]
```

### Beschreibung

Legt die Eigenschaften eines Elements fest.

### Parameter

#### -Id

Das Element, für das Eigenschaften festgelegt werden sollen.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Properties

Die festzulegenden Eigenschaften in Form einer Hashtabelle.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Ob dieses Element auf allen verbundenen Clients aktualisiert werden soll.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Inhalt, der innerhalb des Elements festgelegt werden soll.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Allgemeine Parameter

Dieses Cmdlet unterstützt die allgemeinen Parameter: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable und OutVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

### Beispiele

#### Beispiel 1: Eigenschaften

```powershell
New-UDButton -Id 'setElement1' -Text 'Disable Me' -OnClick {
   Set-UDElement -Id 'setElement1' -Properties @{
       'disabled' = $true
   }
}
```

Deaktiviert eine Schaltfläche.

#### Beispiel 2: Broadcast

```powershell
New-UDButton -Id 'setElement2' -Text 'Disable Me' -OnClick {
   Set-UDElement -Id 'setElement2' -Properties @{
       'disabled' = $true
   } -Broadcast
}
```

Deaktiviert eine Schaltfläche und sendet dies an alle verbundenen Dashboards.

#### Beispiel 3: Inhalt

```powershell
New-UDElement -Tag 'div' -Id 'setElement3' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Set-UDElement -Id 'setElement3' -Content {
        New-UDTypography -Text 'Goodbye World'
    }
}
```

Legt den Inhalt eines Elements fest.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/set-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
